PETSc version 3.15.5
Fix/Edit manual page

# TSErrorWeightedNorm

compute a weighted norm of the difference between two state vectors based on supplied absolute and relative tolerances

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSErrorWeightedNorm(TS ts,Vec U,Vec Y,NormType wnormtype,PetscReal *norm,PetscReal *norma,PetscReal *normr)

Collective on TS

### Input Arguments

| ts | - time stepping context
| U | - state vector, usually ts->vec_sol
| Y | - state vector to be compared to U
| wnormtype | - norm type, either NORM_2 or NORM_INFINITY

### Output Arguments

| norm | - weighted norm, a value of 1.0 achieves a balance between absolute and relative tolerances
| norma | - weighted norm, a value of 1.0 means that the error meets the absolute tolerance set by the user
| normr | - weighted norm, a value of 1.0 means that the error meets the relative tolerance set by the user

### Options Database Keys

| -ts_adapt_wnormtype <wnormtype> | - 2, INFINITY

### See Also

TSErrorWeightedNormInfinity(), TSErrorWeightedNorm2(), TSErrorWeightedENorm

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages